## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XTokenNumberAdapter Class Reference

`#include <XTokenNumberAdapter.hpp>`

Inheritance diagram for XTokenNumberAdapter

Collaboration diagram for XTokenNumberAdapter:

List of all members.

## Public Methods

- XTokenNumberAdapter (const XToken& theToken)
    Create an XTokenNumberAdapter from an XToken. More...
- XTokenNumberAdapter (const XTokenNumberAdapter& source)
- virtual ~XTokenNumberAdapter ()
- virtual XTokenNumberAdapter* clone (void* theAddress = 0) const
    Clone the instance. More...
- virtual double num () const
    Cast result object to a number. More...
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str ( FormatterListener& formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual void str (XalanDOMString& theBuffer) const
    Append the string value directly a string. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...

## Protected Methods

- virtual eObjectType getRealType () const
    Tell what kind of class this is. More...

## Constructor & Destructor Documentation

XTokenNumberAdapter::XTokenNumberAdapter ( | const XToken & theToken )

Create an XTokenNumberAdapter from an XToken.

Parameters:

  theXToken | The XToken instance to adapt

XTokenNumberAdapter::XTokenNumberAdapter ( | const XTokenNumberAdapter & source )

virtual XTokenNumberAdapter::~XTokenNumberAdapter ( | )`[virtual]`

## Member Function Documentation

virtual XTokenNumberAdapter* XTokenNumberAdapter::clone ( | void * theAddress = 0 ) const`[virtual]`

Clone the instance.

Parameters:

  If | theAddress is not null, the XObject will clone itself into that address.

Returns:
  a clone of the instance.

Reimplemented from XObject.

virtual eObjectType XTokenNumberAdapter::getRealType ( | ) const`[protected, virtual]`

Tell what kind of class this is.

Returns:
  numeric type value

Reimplemented from XObject.

virtual double XTokenNumberAdapter::num ( | ) const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Reimplemented from XNumberBase.

virtual void XTokenNumberAdapter::str ( | XalanDOMString & theBuffer ) const`[virtual]`

Append the string value directly a string.

Parameters:

  theBuffer | The buffer for the data

Reimplemented from XObject.

virtual void XTokenNumberAdapter::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Reimplemented from XNumberBase.

virtual const XalanDOMString& XTokenNumberAdapter::str ( | ) const`[virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XNumberBase.

virtual double XTokenNumberAdapter::stringLength ( | ) const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Reimplemented from XNumberBase.

The documentation for this class was generated from the following file:

- XTokenNumberAdapter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.